Page MenuHomePhabricator

Deploy Growth experiments at Ukrainian Wikipedia
Closed, ResolvedPublic

Description

discussion on mediawiki.org

First

  • Post on Village Pump and reach consensus (here, last section)
  • Have a group of people who will enroll in this project as mentors (helping on the help desk or as direct mentors)

People to contact: @Ata, @Piramidion

Then

Translations

Help panel

Homepage

Mentors

  • Create if necessary or update the mentors list
    • the format is [[User:Name]]|Description (be careful about the position of the | in the example!)
    • add the following sentence at the top:

Please introduce yourself in a short way (240 characters max) so that newcomers will know more about you. To increase focus, your message will not render wikitext or links. [[mw:Special:MyLanguage/Growth/Communities/How to introduce yourself as a mentor|See examples and best practices.]]

Understanding First Day

  • The list of namespaces that would NOT be monitored (0, 1, 6, 7 are mandatory). = 0, 1, 6, 7

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptAug 31 2019, 1:15 PM
kostajh added a subscriber: kostajh.

Moving to needs discussion for triage by @MMiller_WMF

Ata updated the task description. (Show Details)Sep 1 2019, 8:08 AM

@Ata, do you need any help about this task?

Ata added a comment.Sep 8 2019, 5:02 PM

@Trizek-WMF, I need to get translations done first, it may take some time :|

Trizek-WMF updated the task description. (Show Details)Sep 23 2019, 8:49 AM

Concerning translations, we have marked some pages as optional, to decrease the amount of work needed.
However, those pages may need to be translated later, if some users are interested by the project and don't understand English.

JTannerWMF moved this task from Needs Discussion/Analysis to Blocked on the Growth-Team board.EditedSep 26 2019, 7:52 PM
JTannerWMF added a subscriber: JTannerWMF.

Hi @Ata the Growth-Team will move this to blocked until the checklist above is complete. We hope to work on this soon!

@NickK -- I also wanted to ping you on this. @Trizek-WMF and I started this task after Wikimania when we talked with you and @Ata about deploying Growth features to Ukrainian Wikipedia. This task contains the list of things that need to be translated and configured before we can deploy, and maybe it will take the work of several people. Would you willing to help?

Ata updated the task description. (Show Details)Oct 4 2019, 4:36 PM
Ata updated the task description. (Show Details)Oct 5 2019, 7:16 PM
Ata added a comment.Oct 5 2019, 7:19 PM

I'm not sure I understand the parts about namespaces. Isn't it decided in the project already which namespaces to cover with help panel etc.? Should there be a community discussion? I used example of T223619 when filling it in here.

Everything seems to be okay, except the following elements, still missing:

  • Have a list of contact. @Ata, I know that you are our primary contact there but you should have some backup, just in case. :)
  • Translate the privacy policy
  • Namespaces.

Concerning namespaces, the phrasing may not have been the best. I've provided some details on T223619#5467587:

we are going to monitor all [namespaces] but we won't record pages titles for articles (0), article talk (1), file (6), file talk (7).

Concerning the help panel, you've added "Як користуватися візуальним редактором" (how to use VE) as an help link. Some people may come to the article using wikitext. Aren't you afraid of having them being blocked by not getting the right editor?

Other than that, everything seems to be fine. Great job!

Ata updated the task description. (Show Details)Oct 12 2019, 12:42 PM

I tried to translate the Privacy policy today, but the translation extension seems to be broken right now. It does some really weird stuff, which makes the translation generally impossible at this moment.

Ata added a comment.Oct 12 2019, 1:29 PM
  • Piramidion is our backup contact here.
  • Thanks to the clarification, I consulted with some users and we didn't come up with other namespaces that should not be monitored (apart from mandatory ones).
  • As for the help links, there is a complex situation with help pages in ukwiki -- they are mostly about editing in wikitext mode. I assumed, that it's ok when the first link of the five leads to the page where a newcomer is immediately informed about the two possible editing modes, and then there is a page about VE. Most newcomers I've seen (unreliable source for the generalisation, I know) use VE anyway.
Trizek-WMF updated the task description. (Show Details)Oct 14 2019, 1:17 PM
Trizek-WMF added a comment.EditedOct 14 2019, 1:28 PM

I tried to translate the Privacy policy today, but the translation extension seems to be broken right now. It does some really weird stuff, which makes the translation generally impossible at this moment.

It is T235027. It puts a lot or work on pause.

  • Piramidion is our backup contact here.

Yay! :)

As for the help links, there is a complex situation with help pages in ukwiki -- they are mostly about editing in wikitext mode. I assumed, that it's ok when the first link of the five leads to the page where a newcomer is immediately informed about the two possible editing modes, and then there is a page about VE. Most newcomers I've seen (unreliable source for the generalisation, I know) use VE anyway.

Arabic Wikipedia discovered that their Help pages were outdated and not accessible. They've decided to review them because of the deployment of the Growth prototypes. Maybe an opportunity to catch? :)

It's actually both T235188: Preemptive refresh in getMultiWithSetCallback() and getMultiWithUnionSetCallback() pollutes cache and T235027: Translate does not update content page when saving units, and to some extend the long-time issue of T221119: "This namespace is reserved for content page translations" when trying to translate a recently created translation unit. We have some potential fixes going out in this week's train if not SWATted earlier. Second issue can be worked around with dummy edits (add space in the end of translation units, which will be ignored on save).

Adding a space at end if the translation unit actually does not work always: yes it will be stripped but if the translation was incorrectly marked fuzzy, this does not work.
You need to add a character that is NOT stipped automatically, forces an update in the SQL database, even if you then remove it in a subsequent change.
And to make sure this effectively works, you need to force refreshing the page.
And this only works if you do that in the wikitext editor on a separate specific page for each message, it does not work in the Translation UI which really seems to have its own caching and to delay pending updates in Memcached. With the Translation UI, there's a strange effect caused by a subsequent automated edit made by Fuzzybot (at unpredictable time, and visibly this job is delayed and can rerun multiple times, by either canceling the pending change(s) and then doing nothing, or incorrectly changing the pending changes when readding the incorrect FUZZY mark to the old message).

While Nikerabbit is explaining the issue, you are out of topic @Verdy_p. Please continue this conversation in the appropriate task.

Elitre added a subscriber: Elitre.Oct 14 2019, 2:37 PM
Ata added a comment.EditedOct 14 2019, 3:22 PM

They've decided to review them because of the deployment of the Growth prototypes. Maybe an opportunity to catch? :)

Well, yes, but I would not suggest Growth projects wait until ukwiki is done updating all the help pages. There is no certainty in how long that might take. For now I'm happy to have 5 basic pages and a bunch of mentors.

Trizek-WMF added a comment.EditedOct 14 2019, 5:06 PM

Well, yes, but I would not suggest Growth projects wait until ukwiki is done updating all the help pages. There is no certainty in how long that might take. For now I'm happy to have 5 basic pages and a bunch of mentors.

Oh, I was not suggesting this, knowing that your community may be more motivated by reviewing the help pages with the Help panel providing a better access to them! :)

And I'm also super happy to see about how motivated your community is. It is great!

Piramidion updated the task description. (Show Details)Oct 22 2019, 7:09 PM

So, the translations are ready, and everything else seems to be done as well. Is there anything else we should do here? If not - please deploy the feature at Ukrainian Wikipedia.

Trizek-WMF reassigned this task from Ata to JTannerWMF.EditedOct 28 2019, 11:34 AM

Thank you @Piramidion and @Ata for all the work done. I've checked everything and found nothing missing.

I note that you have 70 mentors. This is really impressive.

Jazmin from the Growth team is going to take care of the next steps, by creating all the tasks needed for the deployment. She may have some questions.

Ata awarded a token.Oct 28 2019, 4:18 PM

FYI, since you are a lot, don't be surprised not to have a lot of questions individually. :)

@Piramidion @Ata -- to be a little more explicit, I think it's amazing that so many people want to be mentors. Since mentors are randomly assigned to newcomers, having a lot of mentors means that each mentor will receive fewer questions. In your case, you now have so many that mentors may only get one question every few months, and this may be an unsatisfying outcome. For instance, in Czech Wikipedia (which has about the same number of newcomers as Ukrainian Wikipedia), there are 10 mentors. We can revisit later if we think that makes more sense to have a smaller list of mentors.

Ata added a comment.Oct 29 2019, 12:37 PM

I expect the number to go down later on. Some mentors will be away for some periods of time and some people, I suppose, may later change their minds about being mentors at all.
What I have worries about is that not all the people who signed up to be mentors will actually be good/active mentors. But that is not something I can surely predict or avoid with my knowledge of community.

Quiddity removed a subscriber: Quiddity.Nov 14 2019, 5:56 AM

@Ata @Piramidion, I just noticed something missing:

It is my fault: it was not in the initial task description. Sorry for the extra work.

Ata added a comment.Nov 14 2019, 4:25 PM

@Trizek-WMF , the privacy statement is very much translated and linked from the English page.

Ata updated the task description. (Show Details)Nov 14 2019, 4:38 PM

@Trizek-WMF , the privacy statement is very much translated and linked from the English page.

I missed something here... sorry.

Trizek-WMF updated the task description. (Show Details)Nov 28 2019, 10:57 AM

On which namespaces it have to be deployed = 0, 2, 4

Just checking, this means the help panel would appear in read mode on pages in the main, User and Wikipedia namespaces, but not in the Help namespace. Is that intended? On every other wiki that has the help panel, we don't enable it in the main namespace, and do enable it in the Help namespace (in other words, we do 2, 4, 12). Note that this is just about where the help panel appears in read mode; in edit mode it will appear in every namespace.

Change 565442 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on ukwiki

https://gerrit.wikimedia.org/r/565442

Change 565444 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Ukranian

https://gerrit.wikimedia.org/r/565444

Change 565448 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on ukwiki

https://gerrit.wikimedia.org/r/565448

Piramidion added a comment.EditedJan 17 2020, 12:39 PM

On which namespaces it have to be deployed = 0, 2, 4

Just checking, this means the help panel would appear in read mode on pages in the main, User and Wikipedia namespaces, but not in the Help namespace. Is that intended? On every other wiki that has the help panel, we don't enable it in the main namespace, and do enable it in the Help namespace (in other words, we do 2, 4, 12). Note that this is just about where the help panel appears in read mode; in edit mode it will appear in every namespace.

I don't think this has been specifically discussed anywhere, thus we don't have any special preferences in this case. So it would be best if all the technical part was done just like on all the other wikis. Thanks for the clarification!

Change 565444 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Ukranian

https://gerrit.wikimedia.org/r/565444

@Ata, @Piramidion - the deployment for your wiki is schedule to start this Wednesday. You will probably see the first newcomers asking for questions this day. Please report any troubles here!

On which namespaces it have to be deployed = 0, 2, 4

Just checking, this means the help panel would appear in read mode on pages in the main, User and Wikipedia namespaces, but not in the Help namespace. Is that intended? On every other wiki that has the help panel, we don't enable it in the main namespace, and do enable it in the Help namespace (in other words, we do 2, 4, 12). Note that this is just about where the help panel appears in read mode; in edit mode it will appear in every namespace.

I don't think this has been specifically discussed anywhere, thus we don't have any special preferences in this case. So it would be best if all the technical part was done just like on all the other wikis. Thanks for the clarification!

@Catrope, I'm not sure to understand the problem here. We don't have the Help panel on reading mode on the main-space for any wiki. What's the difference with the others?

Change 566382 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.15] Add special page aliases for Ukranian

https://gerrit.wikimedia.org/r/566382

Change 566382 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.15] Add special page aliases for Ukranian

https://gerrit.wikimedia.org/r/566382

Change 565442 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on ukwiki

https://gerrit.wikimedia.org/r/565442

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:30:55Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable help panel on ukwiki, huwiki, hywiki (T238319, T231720, T230478, T230676) (duration: 01m 04s)

Change 565448 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on ukwiki

https://gerrit.wikimedia.org/r/565448

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:39:12Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable homepage on ukwiki, huwiki, hywiki (T238320, T231720, T230478, T230676) (duration: 01m 05s)

Hello @Ata and @Piramidion!

Have you tried the features? (You can create new test accounts for this.) Is there any community reaction for now?

@Trizek-WMF it looks like this user is a redirect (Наталія_Ластовець), could you please update their mentors page and also add instructions to the top of the mentors page?

Hi! I've tried some of the features and everything seems to work fine so far (I didn't test the help panel though). The only downside I've found I already mentioned in T238319. Also I didn't notice any relevant feedback from the community so far.

I've corrected the user link. Do I need to add a sentence about the user page redirects to the instructions?

I've corrected the user link.

Thank you!

Do I need to add a sentence about the user page redirects to the instructions?

As far as you keep an eye on the list time to time to avoid this happening again, I don't think it worth the case of expanding the current instructions. Maybe just add that no wikitext (links or templates) is allowed on the description? I've already updated the recommendation page about it.

Piramidion added a comment.EditedFeb 11 2020, 5:35 PM

I do keep an eye on the list, it's just that if a user gets renamed, you don't see that in your watch list for that page. I've added all the mentors' pages to my watch list, so that I could notice any changes of that kind too. As for the wikitext warning, it's already there, added by @Ata at the very moment of creation of that page.

Trizek-WMF closed this task as Resolved.Aug 5 2020, 5:28 PM

Everything has been deployed for a while now!